PGSNAP(1)

NAME
pgsnap - PostgreSQL report tool

DESCRIPTION
pgsnap is a PostgreSQL tool that mimics orasnap performance report tool for Oracle.

  Usage:

    ./pgsnap [OPTIONS]... [DBNAME]

  General options:

-a, --all
    build a report for all databases on the PostgreSQL server

-d DBNAME
    specify database name to connect to (default: your login name)

-o outputdir
    specify directory name where the reports will be created (default: the database name followed by 'snap_', followed by the date and time)

-S, --without-sysobjects
    all reports will display informations on user objects only

-S, --delete-if-exists
    delete output directory if it already exists

--help
    show this help, then exit

--version
    output version information, then exit

  Connection options:

-h HOSTNAME
    database server host or socket directory (default: "localhost")

-p PORT
    database server port (default: "5432")

-U NAME
    database user name (default: your login name)

-W  prompt for password

AUTHOR and CREDITS
pgsnap is written and maintained by Guillaume Lelarge <guillaume at lelarge dot info>

The pgsnap website: http://pgsnap.projects.postgresql.org/

This manpage was written by Pierre Chifflier <chifflier@debian.org>